# Generated from rack_dispatch-0.0.2.gem by gem2rpm -*- rpm-spec -*-
%global gem_name rack_dispatch

Name: rubygem-%{gem_name}
Version: 0.0.2
Release: 1%{?dist}
Summary: A simple toolkit for building Ruby web applications with Rack
License: MIT
URL: https://github.com/theodorekimble/rack_dispatch
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
RackDispatch is a Ruby library that makes it simple to build elegant and
powerful web applications with Rack. RackDispatch provides a base class for
defining your application topology and handlers to perform common server-
side tasks.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/MIT-LICENSE
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md

%changelog
* Wed Apr 20 2022 mockbuilder - 0.0.2-1
- Initial package
